LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextTableCursor Interface Referencepublished

The TextTableCursor provide methods to navigate through the table structure, to merge and split cells. More...

`import"XTextTableCursor.idl";`

Inheritance diagram for XTextTableCursor:

## Public Member Functions
string | getRangeName ()
boolean | gotoCellByName ([in] string aCellName, [in] boolean bExpand)
| moves the cursor to the cell with the specified name. More...
boolean | goLeft ([in] short nCount, [in] boolean bExpand)
| moves the cursor to the left neighbor. More...
boolean | goRight ([in] short nCount, [in] boolean bExpand)
| moves the cursor to the right neighbor. More...
boolean | goUp ([in] short nCount, [in] boolean bExpand)
| moves the cursor to the top neighbor. More...
boolean | goDown ([in] short nCount, [in] boolean bExpand)
| moves the cursor to the bottom neighbor cell. More...
void | gotoStart ([in] boolean bExpand)
| moves the cursor to the top left cell of the table. More...
void | gotoEnd ([in] boolean bExpand)
| moves the cursor to the bottom right cell of the table. More...
boolean | mergeRange ()
| merges the selected range of cells. More...
boolean | splitRange ([in] short nCount, [in] boolean bHorizontal)
| splits the range of cells. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The TextTableCursor provide methods to navigate through the table structure, to merge and split cells.

See also
  com::sun::star::text::TextTable
  com::sun::star::text::TextTableCursor
  com::sun::star::text::Cell
  com::sun::star::text::XTextTable

## Member Function Documentation

## ◆ getRangeName()

string getRangeName | ( |  | ) |

Returns
  the name of the cell range that is selected by this cursor.

The name is the cell name of the top left table cell of the range concatenated by ":" with the table cell name of the bottom left table cell of the cell range. If the range consists of one table cell only then the name of that table cell is returned.

See also
  com::sun:star::text::CellRange

## ◆ goDown()

boolean goDown | ( | [in] short | nCount,
|  | [in] boolean | bExpand
| ) |  |

moves the cursor to the bottom neighbor cell.

Parameters

  nCount | the number of cells to move.
  bExpand | determines whether the selection is to be expanded.

## ◆ goLeft()

boolean goLeft | ( | [in] short | nCount,
|  | [in] boolean | bExpand
| ) |  |

moves the cursor to the left neighbor.

Parameters

  nCount | the number of cells to move.
  bExpand | determines whether the selection is to be expanded.

## ◆ goRight()

boolean goRight | ( | [in] short | nCount,
|  | [in] boolean | bExpand
| ) |  |

moves the cursor to the right neighbor.

Parameters

  nCount | the number of cells to move.
  bExpand | determines whether the selection is to be expanded.

## ◆ gotoCellByName()

boolean gotoCellByName | ( | [in] string | aCellName,
|  | [in] boolean | bExpand
| ) |  |

moves the cursor to the cell with the specified name.

Parameters

  aCellName | specifies the name of the cell to go to.
  bExpand | determines whether the selection is to be expanded.

See also
  com::sun::star::text::Cell

## ◆ gotoEnd()

void gotoEnd | ( | [in] boolean | bExpand | ) |

moves the cursor to the bottom right cell of the table.

Parameters

  bExpand | determines whether the selection is to be expanded.

## ◆ gotoStart()

void gotoStart | ( | [in] boolean | bExpand | ) |

moves the cursor to the top left cell of the table.

Parameters

  bExpand | determines whether the selection is to be expanded.

## ◆ goUp()

boolean goUp | ( | [in] short | nCount,
|  | [in] boolean | bExpand
| ) |  |

moves the cursor to the top neighbor.

Parameters

  nCount | the number of cells to move.
  bExpand | determines whether the selection is to be expanded.

## ◆ mergeRange()

boolean mergeRange | ( |  | ) |

merges the selected range of cells.

See also
  com::sun::star::CellRange

## ◆ splitRange()

boolean splitRange | ( | [in] short | nCount,
|  | [in] boolean | bHorizontal
| ) |  |

splits the range of cells.

Parameters

  nCount | specifies the number of new cells that will be created for each cell contained in the range.
  bHorizontal | `TRUE` if the range should be split vertically. Otherwise it will be split horizontally.

See also
  com::sun::star::Cell
  com::sun::star::CellRange

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextTableCursor.idl